Subject: Signature, Finger, & Customized Headers FAQ

From: FAQ Editor <[email-masked]>
Date: 26 Apr 1995 13:10:13 GMT

Archive-name: signature_finger_faq
Posting-frequency: approximately monthly
Last-modified: 25 April 1995

Current hypertext version:
http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html

          ___                                                  ___
          L_|_                                                _|_J
         ( -O>                                                <O- )
      ___//\J  ______________________________________________  L/\\___
     //-,\    |                                              |    /,-\\
    || / \\___L  Signature, Finger, & Customized Headers FAQ J___// \ ||
  _ ''/\/ '---J Copyright (c) 1994-95 Nancy McGough & others L---' \/\'' _
 / \ //\\.    |______________________________________________|    .//\\ / \
|_/\'/  ||                                                        ||  \'/\_|
    '   ||_                                                      _||   '
        |__)                                                    (__|

  TABLE OF CONTENTS

  0.0 Preliminaries
      0.1 Getting the Latest Version of this FAQ
          0.1.1 Hypertext
          0.1.2 Plain Text
      0.2 Terminology
      0.3 Notation
  1.0 Setting up Your Signature
      1.1 General Unix Instructions
      1.2 Specific Mailer & Newsreader Instructions
          1.2.1 Pine
                1.2.1.1 Pine 3.90 and Later
                1.2.1.2 Pine 3.89 and Earlier
          1.2.2 Elm
          1.2.3 Mail
          1.2.4 SUN OpenWindows Mailtool
          1.2.5 Emacs Mail Mode
          1.2.6 MH and Emacs mh-e
          1.2.7 NN
          1.2.8 GNUS
      1.3 Testing Your Signature 
      1.4 Troubleshooting Your Signature 
  2.0 Finger
      2.1 How to Finger
          2.1.1 Unix Finger Command
          2.1.2 Using a Web Browser to Finger
          2.1.3 Fingering Yourself
          2.1.4 Interesting Places to Finger
      2.2 Changing Your Finger Information
          2.2.1 Using chfn to change your full name (and more)
          2.2.2 Creating Your .plan and .project files
      2.3 Finding Out Who Fingers You
          2.3.1 Backfinger Script
  3.0 What to Put in Your Signature and Finger Files
      3.1 URLs
      3.2 Ascii Art
      3.3 Animated Text Strings
      3.4 Robot Fodder
      3.5 Newsgroups for Sig Discussion
  4.0 Customized Headers
      4.1 Your From Header
      4.2 Specific Mailer and Newsreader Instructions
          4.2.1 Tin and the RN Family
          4.2.2 Pine 3.90 and Later
          4.2.3 Elm
          4.2.4 NN
  5.0 Mailer and Newsreader References
  6.0 Contributors
      6.1 Acknowledgements
      6.2 If You'd Like to Contribute
  7.0 Copyright Notice

----------------------------------------------------------------------

From: FAQ Editor <[email-masked]>
Subject: 0.0 Preliminaries

This article describes these ways you can tell people on the Internet more 
about yourself:
 * Your signature file which can be automatically appended to your
   mail and news messages.
 * Your finger information which is displayed when people finger you.
 * Your customized header lines, such as Organization, From, and 
   Reply-To, which are part of your mail and news messages.

------------------------------

Date: 17 Apr 1995 00:00:10 GMT
From: FAQ Editor <[email-masked]>
Subject:     0.1 Getting the Latest Version of this FAQ

If this FAQ is over a couple months old, there may be an updated
version.  Please get the latest hypertext or plain text version from
one of the places listed below.

------------------------------

Date: 17 Apr 1995 00:00:10 GMT
From: FAQ Editor <[email-masked]>
Subject: ... ... 0.1.1 Hypertext

The best way to read this FAQ (and most other FAQs) is to view the
hypertext version using a Web browser such as Cello, Lynx, Mosaic,
Netscape, or WinWeb.  This will allow you to easily jump:
   * between subjects in the FAQ
   * to any Uniform Resource Locator (URL) in the FAQ
   * to an Internet Request For Comments document (RFC)
   * to some manual pages

This, and all FAQs that are crossposted to news.answers, are available at:
 http://www.cis.ohio-state.edu/hypertext/faq/usenet/top.html

This particular FAQ is at:
http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html

If you don't want to type that long URL, you can go to Infinite Ink's
Sample Writings Page and jump to it from there:

  http://www.jazzie.com/ii/writings.html

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 0.1.2 Plain Text

The plain text version of this FAQ is regularly posted to these
newsgroups:
  news.newusers.questions  comp.mail.misc       alt.internet.services
  news.software.readers    comp.mail.pine       alt.answers
  news.software.nn         comp.mail.elm
  news.answers             comp.unix.questions
                           comp.answers

It's in digest format which means that you may be able to use your
newsreader to easily move between digest items (e.g., nn uses G% to
burst a digest and trn uses ^G to jump to the next digest item).

The plain text version is also available through...

A Link on Infinite Ink's Sample Writings Page:
 http://www.jazzie.com/ii/writings.html

Anonymous FTP:
 ftp://ftp.halcyon.com/pub/ii/internet/signature_finger_faq.txt
 ftp://rtfm.mit.edu/pub/usenet/news.answers/signature_finger_faq

Email:
 Send mail to [email-masked] containing the following:
    send usenet/news.answers/signature_finger_faq

UUCP:
 uunet!/archive/usenet/news.answers/signature_finger_faq

Hard Copy:
 A printed version of this FAQ is in Chapter 17 of the book 
 "Internet Secrets" by John R. Levine and Carol Baroudi; published 
 1995 by IDG Books; ISBN 1-56884-452-2.

------------------------------

Date: 17 Apr 1995 00:00:20 GMT
From: FAQ Editor <[email-masked]>
Subject:     0.2 Terminology

 Term               Meaning
 ====               =======
 browser            Web browser
 FQDN or fqdn       Fully qualified domain name
 mailer or MUA      Mail user agent such as pine or elm
 MTA                Mail transport agent such as sendmail or smail
 pico               PIne COmposer - a user friendly editor
 pico FileName      Use pico to edit file named `FileName'
 pico -w FileName   Use pico with autowrap turned off to edit `FileName'
 mail reader        Mailer, newsreader, or Web browser that can read 
                    mail folders
 regular expression Text that can include "wild cards" (such as . to
                    match any single character); used for searching
 URL                Uniform Resource Locator - address used by Web browsers
 ^X                 Press the Ctrl key and then, while holding down the 
                    Ctrl key, press the X key.  Note that often the
                    the lower case letter works, .e.g, you can use
                    either ^x and ^X
 ~ or $HOME         Your home directory.  You can always get to your
                    home directory by typing: cd

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 0.3 Notation

 Notation   What you type
 ========   =============
 TextName   replace with appropriate text
 <text>     replace with appropriate text without the angle brackets
 `text'     text without the smart single quotes
 ``text''   text without the smart double quotes
 "text"     "text" including the double quotes
 'text'     'text' including the single quotes

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 1.0 Setting up Your Signature

Q: How can I have a signature automatically appended to my news 
   articles and mail messages?

A: The answer depends on your newsreader and mailer but the 
   procedure below works for many Unix newsreaders and mailers.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 1.1 General Unix Instructions

Type...                 In order to...
=======                 ==============
cd                      Change to your home directory (i.e., $HOME or ~)

pico .signature         Use the pico editor to create a .signature file.
                        (Replace "pico" with another editor if you like.)

<your signature>        Note that most systems require your sig to be <= 4
                        lines.  And it's good netiquette to make it as
                        short as possible.

<save and exit>         In Pico use ^x to exit and answer y when asked
                        if you want to save your changes.

chmod 644 .signature    Make .signature readable by all.

chmod a+x .             Make home directory searchable by all.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 1.2 Specific Mailer & Newsreader Instructions

For some newsreaders and mailers the above is all you need to do to
set up your signature.  For example the default behaviour of pine(1),
tin(1), and the rn family - rn(1), trn(1), strn(1), & Pnews(1) - is
to automatically append ~/.signature, if it exists.  To check that
it's working, follow the instruction in "1.3 Testing Your Signature."

If you use Elm, Mail, SUN OpenWindows Mailtool, Emacs Mail Mode, MH,
NN, or GNUS you need to follow the additional instructions described
below.  If you use Pine, you can change it's default signature
behaviour by following the instructions below.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 1.2.1 Pine
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
Many people like to set the signature-at-bottom variable which will put 
your signature below both your message and the message you are replying 
to (if you've included it).  Note that if you are forwarding a message 
your signature will be put below the message that you write but above 
the forwarded message.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... ..... 1.2.1.1 Pine 3.90 and Later
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
To change Pine's signature features:

1. From the Main Menu type S for Setup
2. Type C for Configuration
3. To change the value of the signature-at-bottom feature:
   a) Spacebar and arrow down to the signature-at-bottom variable
   b) Type X to set/unset this variable.
4. To change the name of your signature file:
   a) Arrow down to the signature-file line
   b) Type C for Change Value
   c) Type the path and name of the file you want to use for your
      signature.  Note that ~ can be used for your $HOME directory.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... ..... 1.2.1.2 Pine 3.89 and Earlier
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
To change Pine's signature features in Pine 3.89 (and earlier versions) you 
need to edit your ~/.pinerc file directly.

Type...                 In order to...
=======                 ==============
cd                      Change to your home directory (i.e., $HOME or ~)
pico .pinerc            Use the pico editor to edit your .pinerc file.
^w                      Search for . . .
feature-list            . . . ``feature-list''

Edit your .pinerc so that it contains this line:

feature-list=signature-at-bottom

If you want more than one feature in your feature-list then they need to
be comma separated like this:

feature-list=old-growth,
	signature-at-bottom

If you want to use a file other than ~/.signature for your signature
edit the following line:

signature-file=

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 1.2.2 Elm
Followup-To: comp.mail.elm

In addition to the basic signature instructions in 1.1 above, users of Elm
need to edit their ~/.elm/elmrc file so that it contains the following:

signature = ~/.signature
sigdashes = ON

Remember to delete any # characters before any variables you want
to set.  The defaults are indicated in comment lines starting with ###.

NOTE
====
The signature variable sets both the localsignature and
remotesignature variables.  If you want to have a different signature
for local mail (i.e., addresses that don't contain a ! or @) then you
can use the localsignature and remotesignature variables instead of
the signature variable.

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... ... 1.2.3 Mail
Followup-To: comp.mail.misc

=o= Regular Unix "Mail" and "mail" don't have an automatic
signature mechanism.  Many people who normally use a more deluxe
mail utility occasionally find themselves resorting to using one
of these, in which case all you need to know is this command:

	~r $HOME/.signature

This simply tells Mail to include the text of the your signature
file.

=o= If you use Mail on a regular basis you may want to use the
semi-automatic signature feature.  When you're done typing your
message, you append a signature with this command:

	~a

=o= In order for this to work, though, you need to set the
"sign" mail variable.  There are two ways to implement this
variable.  The first is to set it in a $HOME/.mailrc file with
a command like this:

	set sign="Jym Dyer <[email-masked]>"

If your signature is more than one line long, you can use the
C language string syntax, as in these examples:

	set sign="Jym Dyer\n<[email-masked]>"

			-or-

	set sign="Jym Dyer\
	\n<[email-masked]>"

=o= The disadvantage of doing this in your .mailrc file is
that you now have to maintain the text of your signature in
two places.  Another approach that avoids this problem is to set
"sign" as an environment variable in your shell startup script.
For a Bourne-compatible shell, this is done with this command:

	sign="`cat $HOME/.signature`" export sign

For a C-shell, do this:

	setenv sign "`cat $HOME/.signature`"

------------------------------

From: Jochen Bern <[email-masked]>
Subject: ... ... 1.2.4 SUN OpenWindows Mailtool

The mailtool of SUNs OpenWindows lacks numerous Things, including the
Ability to sign Mails. However, most OW Users stick with mailtool
because of the Ability to use "Attachments" to send around Files.

A simple Replacement for Signatures is to add a "Template" (click on
Edit -> Properties, select Category "Template" in the Properties
Window, and give Name and File as desired). Disadvantage: You have
to edit in every Signature by Hand, though.

A better Approach is to use a "set sendmail=..." Line in your ~/.mailrc.
Mails being sent out will be handed over to the Executable named
there instead of the Mail Delivery Subsystem. You can easily plug
in a simple Program to sign your Mails there. However, be warned that
all too simple Siggers aren't aware of the abovementioned Attachments,
so the Signature will end up in the last Attachment instead of the
Mail Text. Information about a Sigger that handles mail containing
attachments correctly can be obtained from Jochen Berg by sending
email to: [email-masked]

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... ... 1.2.5 Emacs Mail Mode

=o= Emacs Mail Mode is usually invoked with the "mail" or
"mail-other-window" commands (bound, respectively, to the
"C-x m" and "C-x 4 m" keys by default).  It is also invoked
from various Emacs mail and news packages.

=o= Mail Mode provides a "mail-signature" command to append
the contents of your signature file to the end of your mail
message.  This command is bound to "C-c C-w" by default,
so to insert the signature before mailing, simply type
"C-c "C-w".

=o= If you'd prefer to have your signature automatically
appended to the end of your mail message, the "mail-signature"
command can be put into your "mail-setup-hook" variable in
your $HOME/.emacs file, as in this example:

    (setq mail-setup-hook
      (function
       (lambda ()
	 (mail-signature) )))

This will put the signature in your mail message buffer.

Instructions for Version 19 by Richard Kasperowski and Matt Kaufmann
====================================================================
In emacs 19, I use:

 (setq mail-signature t)

There is a problem with my expression with respect posting to USENET
via GNUS.  GNUS automatically appends .signature to the post when it
There is a problem with my expression with respect posting to USENET
via GNUS.  GNUS automatically appends .signature to the post when it
is sent out.  With (setq mail-signature t), .signature is appended to
the end of the emacs buffer in which you edit your post.  When you
send-out the post, another .signature is appended to the end.  You end
up with two .signatures on your USENET posts.

If you prefer, you can use the following minor modification
of the version 18 form shown above:

    (setq mail-setup-hook
      (function
       (lambda ()
        (mail-signature nil) )))

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... ... 1.2.6 MH and Emacs mh-e
Followup-To: comp.mail.mh

=o= MH doesn't have an automatic signature mechanism, but it
is so configurable that there are a number of different ways
to implement one.  Check the periodic "MH Frequently Asked
Questions (FAQ) with Answers" posting for details.

=o= CAVEAT:  If you use the environment variable SIGNATURE to
point to your signature file, MH will use it not as a signature,
but as your "fullname".  Even worse, if your version of MH was
built with the "UCI" option and you *don't* use the environment
variable SIGNATURE to point to another file, MH will use the
$HOME/.signature file for this purpose!  To see if your version
of MH has this behavior, enter this command:

  % send -help

And look for the string "[UCI]" in the output.

=o= There's an Emacs interface to MH, called MH-E.  It has its
own signature mechanism, which is invoked with the "mh-insert-
signature" command (bound to the "C-c C-s" keys by default).

=o= This will insert the file $HOME/.signature file by default.
If your signature file has another name (e.g., to avoid its
being used by an MH build with the "UCI" option), you can set
the "mh-signature-file-name" variable to refer to a different
file.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 1.2.7 NN
Followup-To: news.software.nn

In addition to the basic signature instructions in 1.1 above, users of NN
need to edit their ~/.nn/init file so that it contains the following:

set query-signature off
set append-signature-mail on
set append-signature-post off

Note that the reason that you need to `set append-signature-post off' is
that the news posting software (usually inews) automatically appends
 ~/.signature if it exists.  If you `set append-signature-post on' then
both nn and inews append your sig and you'll send out two identical sigs
every time.

------------------------------

From: Mike Northam <[email-masked]>
Subject: ... ... 1.2.8 GNUS
Followup-To: gnu.emacs.gnus

 (Does anyone know Mike Northam's current email address?)

In addition to the basic signature instructions in 1.1 above, users of GNUS
should verify that the value of the variable gnus-signature-file points to the
right place.  If you're in emacs, you can do so by evaluating the following
expression:
gnus-signature-file
                   ^ put your cursor here and type C-x C-e

You should see "~/.signature" in the echo area.  If not, edit your
$HOME/.emacs file and add the following:

(setq gnus-signature-file "~/.signature"))

Then load your $HOME/.emacs file or merely restart emacs and the variable
should be set correctly.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 1.3 Testing Your Signature 

After you've set everything up, use your mailer to mail a test message
to yourself, and your newsreader or news poster (such as nnpost or
Pnews) to post an article to a test newsgroup (use a local newsgroup
and Distribution set to `local' to save bandwidth).  Note that with
many newsreaders and mailers you will not see your signature while
you are composing a message - it will be automaticlally appended when
you send the message.  Note also that many systems add a line that
contains `-- ' to the top of your sig.  This is used by programs that
automatically deal with mail or news to identify the start of the
signature.

If you have a problem with your sig see the next section 1.4 on
Troubleshooting.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 1.4 Troubleshooting Your Signature 

On many systems your .signature (and .plan, .project, and .forward) needs 
to be world readable and your home directory needs to be world "executable"
(which means the world can go into that directory).  To check these
settings:

Type...          In order to...
-------          --------------
cd               Go to your home directory.

ls -l .filename  Check the permission: it should say -rw-r--r--
                 (Replace `.filename' with the appropriate file name.)

ls -ld .         Check permission of home dir: it should say drwx?-x?-x
                 The ?'s may be r's or hyphens or one of each (i.e.,
                 drwx--x--x, drwxr-xr-x, drwxr-x--x, drwx--xr-x are
                 each acceptable.)
If these aren't set correctly repeat the steps given in 1.1 above for
setting up your .signature.

If you are still having problems read the man pages for your newsreader,
news poster, or mailer and search for the string ``signature''.  There may 
be a variable you need to set in order for the ~/.signature to be appended.

Type...                 In order to...
-------                 --------------
man CommandName |less   Open man pages for CommandName (elm, pine, nn, tin
                        trn, Pnews, etc.) and pipe through less.  If your
                        system doesn't have less replace it with "more".

/signature              Search for first occurrence of "signature".

n                       Search for next occurrence of "signature".
                        Repeat the search until you find the appropriate
                        section of the manual.

u                       Page up half a screen. (This works in less but not in
                        more.)

[Space]                 Page down a screen. (This works in both less and more.)

For more information on reading manual pages see the man(1), less(1), and/or
more(1) man pages.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 2.0 Finger

Finger is an Internet tool that you can use to find out information
about people all over the Net.  As long as a person's Internet host
is running the finger daemon (fingerd), you will be able to retrieve
information using the finger command.

This section tells you how to finger others, how to customize your
finger information, and how you may be able to track who fingers you
(and why finger tracking is probably not worth doing).

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 2.1 How to Finger

This section describes how to finger using the Unix command line commands
or using a Web browser.

You can use finger to find out a person's full name, the shell they
use, and sometimes you can find out when the last time he or she was
logged in.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.1.1 Unix Finger Command

To finger someone

   finger [email-masked]

On some systems finger is linked to f so the following also works:

   f UserID@fqdn

Finger displays different information on different systems.  Often it will 
display your full name, your default shell, when your were last logged on, 
and your ~/.plan and ~/.project files.

If you finger someone and the display takes more than one page you can pipe 
the output through less (or more if you don't have less).  For example to 
find out about Halcyon, my Internet service provider, type:

   finger [email-masked] |less

Finger can also be used to display information about groups of people.
For example:

   finger [email-masked] |less

Ths will display finger information about everyone with ``john'' in 
their name on random.fqdn.  You can get a short listing for each person
by using:

   finger -q [email-masked] |less

For technical details about the finger protocol see RFC1288.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.1.2 Using a Web Browser to Finger

In addition to using the finger or f command you can finger people
through a Web browser.  The following is a form that Doug Stevenson
<[email-masked]> created:
  http://www-bprc.mps.ohio-state.edu/cgi-bin/finger.pl

You can finger a specific user with a syntax like this:
  http://www-bprc.mps.ohio-state.edu/cgi-bin/finger.pl?[email-masked]

With Doug's finger gateway, if the .plan contains some HTML, it will be 
presented as hypertext, e.g:
 Go to <A HREF="http://www.jazzie.com/ii/">Infinite Ink's Home Page</A>.

Marc VanHeyningen <[email-masked]> has a Web finger gateway that 
you can find out about at:
  http://www.cs.indiana.edu/finger/gateway

To use it you use this syntax:
  http://www.cs.indiana.edu/finger/fully.qualified.domain.name/userid/w

For example, to finger Marc, type:
  http://www.cs.indiana.edu/finger/cs.indiana.edu/mvanheyn/w

With Marc's finger gateway, if an URL in a .plan uses the <URL:...> syntax, 
described in 3.1 below, it will be a link, e.g.: <URL://www.jazzie.com/ii/>

You can also use this URL:
  gopher://fully.qualified.domain.name:79/0userid
                                          ^ Note: 0 precedes the userid

For example you can finger my Internet service provider with this URL:
  gopher://halcyon.com:79/0info

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.1.3 Fingering Yourself

To finger yourself by type the following at your Unix prompt.

    finger YourUserID

For a different view of your finger information, and also to see
who else is currently logged in, type:

    finger

To ensure that people from other systems can finger you should ask someone 
who's not on your system to finger you too.  It is possible for you to
simulate fingering yourself from another machine (another.fqdn) by doing 
this:

    finger [email-masked]@another.fqdn

In order for this to work another.fqdn must support full finger functionality.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.1.4 Interesting Places to Finger

Scott Yanoff's "Updated Internet Services List" contains a number of 
interesting places to finger.  If you access it through the following URL 
all the finger commands are links.

  http://www.uwm.edu/Mirror/inet.services.html

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 2.2 Changing Your Finger Information

On most systems you can change the information that people see when
they finger you.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.2.1 Using chfn to change your full name (and more)

On many Unix systems you can change some of your default information,
such as your full name, by typing the following at your Unix prompt:

   chfn

If chfn is not available try "passwd -f".  If neither of these are
available then you will need to contact your system administrator and
ask him/her to change your full name, etc.

After you have changed your information check that they are in place
by fingering yourself.  Also to see a different display of your
information type the following at your Unix prompt:

   finger

This displays a one line description of everyone currently logged on
your system.

For more information see the chfn(1), passwd(1), and finger(1) man pages.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 2.2.2 Creating Your .plan and .project files

Your ~/.project and ~/.plan files, if they exist, are displayed when you
are fingered.  Setting these up is essentially the same as setting
up a ~/.signature file (described in 1.0 above).

Type...                 In order to...
-------                 --------------
cd                      Change to your home directory.

pico .plan              Use the pico editor to create a .plan file.
                        (Replace "pico" with another editor if you like.)

chmod 644 .plan         Make .plan readable by all.

chmod a+x .             Make home directory searchable by all.

If you want a .project file follow the same procedure.  Note that only the
first line of the .project is displayed (so you might as well only make
it one line!).

If you have problems, see section 1.4 on "Troubleshooting Your
Signature" to make sure that your permissions are set correctly.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 2.3 Finding Out Who Fingers You

Finger wasn't designed to log finger requests, so finding who fingers
you is complicated - and sometimes impossible - to setup.  For more
information see:

* The next section of this FAQ on the Backfinger Script.

* Chris Alfeld's fingertrace: 
     http://www.math.utah.edu/~calfeld/fingertrace/

* R.L. Samuell's logfinger script, which you can obtain by fingering:
     [email-masked]

* Unix - Frequently Asked Questions (4/7) [Frequent posting] 
  4.9) How do I keep track of people who are fingering me? 

  This article is archived in all the usual FAQ archives, including:
  http://www.cis.ohio-state.edu/hypertext/faq/usenet/unix-faq/faq/part4/faq-doc-9.html

An easy thing that you can do to see if anyone has fingered you is type the 
following at your Unix prompt:

  ls -lu $HOME/.plan

This tells you the last time someone accessed your .plan, but it doesn't
tell you who it was.  I have this in my .login because it's interesting to
see when the last time someone was checking on me!

[Note that under AFS (Andrew File System, a distributed filesystem),
 ls -lu $HOME/.plan will not work due to the fact that AFS has no 
 notion of ``atime'', or ``last accessed time''.]

------------------------------

From: Janet Rosenbaum <[email-masked]>
Subject: ... ... 2.3.1 Backfinger Script

A script called, among other things, backfinger, planner, and
finger_logger (flogger or frogger, for short), makes your .plan into
a named pipe. Think of a named pipe as being a sort of pipe used with
plumbing that opens on the screen of the person who is fingering you
- say, Fred - so that when the .plan file (a named pipe) is accessed,
it looks for a program from which to get something to stick on Fred's
screen. The script is called when you are fingered. At that moment,
the script looks to the finger port of your UNIX machine, sees which
machine Fred is on, and logs that machine's IP number and host name.
The script then can execute a command to spit out a .plan on Fred's
screen.  You could use a program that generates random poetry, the
fortune program, or simply "cat plan_file" to make the contents of
the text file (plan_file) appear on Fred's screen.  To make Fred
think that you are really cool, the script also tells him what
machine he is fingering you from.

This script tells you only the machine that Fred is fingering you
from, not his actual user name. Although the identification protocol
(documented in RFC1413) allows exchange of the user name that
initiated the finger process over port 113, the current backfinger
program does not use it. (Anyone who has enough time to add this
feature certainly may, though!) The other way to find out Fred's name
is to use systat, which requests a list of current processes on
Fred's machine over port 11. This option rarely is available, due to
security concerns.  

Following are two caveats:

 * This program must be running at all times on your system, even
   when you are logged out. Leaving on a background process like this
   one annoys most system administrators no end, especially on
   high-load systems. Do not run the program unless you are sure that
   you are allowed to run background processes.

 * If you decide that you want to stop running this program, remove
   your .plan file as soon as you kill the process; otherwise, all
   your finger processes will hang.

Given these caveats, the script is distributed only to those who can
use it, mostly for educational reasons. The Web site is
http://pubweb.acns.nwu.edu/~jrosen/scripts/logger.src.

Note: I am not the author of this program; the version that I
distribute is virtually identical to the program distributed by Steve
Franklin. The real author is Tony Rems ([email-masked]).
Modifications and revisions were made by Geoff Loker
([email-masked]), Karen Bruner ([email-masked]),
Norman Franke ([email-masked]), and Steve Franklin
([email-masked]).

SEE ALSO
========
Newsgroup: comp.sources.misc

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 3.0 What to Put in Your Signature and Finger Files

It is good netiquette to keep your signature to four lines or fewer.
And many news posters, such as some versions of inews(1), will not
post an article that has a signature with more than four lines in
it.  So, put large large pictures, your philosophy of life , etc. in
your finger files or in your Web pages and point people to those in
your signature.

For signatures it's a good idea to keep the width less than 75
characters so that if your signature is included in a followup
preceded by an attribution character (like `> '), each line will
still be on one line.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 3.1 URLs

A good strategy is to keep your signature short and include an
URL for your Web page, e.g.:

 http://www.jazzie.com/ii/

If you do not have a Web page you might want to put in an URL 
that will finger you, e.g.:

 http://www-bprc.mps.ohio-state.edu/cgi-bin/finger.pl?[email-masked]

You can also put URLs in your .plan and then, if someone is fingering
you through a Web gateway such as the ones described in 2.1 above, these
will be links.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 3.2 Ascii Art
                      __    __    __    __
                     /  \  /  \  /  \  /  \
____________________/  __\/  __\/  __\/  __\_____________________________
___________________/  /__/  /__/  /__/  /________________________________
                   | / \   / \   / \   / \  \____
                   |/   \_/   \_/   \_/   \    o \
                                           \_____/--<

A good source of art for your signature and finger files is the ascii art
FAQ which contains (among others) these questions:
   9]  Where can I find ASCII art?
  22]  How do I put an animation in my plan?
  23]  How do I make a sig?
  24]  How do I have my sig automatically added to my posts and email?

The Ascii Art FAQ is at:  http://gagme.wwa.com/~boba/faq.html

One particularly good place to find ascii art is:
  http://gagme.wwa.com/~boba/scarecrow.html

Lots of cool ideas for things to put in your .signature and .plan
are at:

  ftp://sashimi.wwa.com/pub/Scarecrow/BestOfTheScarecrowsSigGallery

Remember it's good netiquette to keep you sig to four lines or fewer!

SEE ALSO
========
Newsgroups: rec.arts.ascii, alt.ascii-art, alt.binaries.pictures.ascii
            and alt.ascii-art.animation

------------------------------

From: Marc Kriguer <[email-masked]>
Subject: ... 3.3 Animated Text Strings

Dotplan is a program that performs "animation" effects on text
strings, so that .plan files (hence the name) look a little more
fancy (on low-speed dialup lines).  Some of the effects make the
characters appear one at a time; others have the characters
appear at once and "move" around.

EXAMPLES
     dotplan 3 This is sample text # Display string using style 3
     dotplan                       # Display usage information
     dotplan s                     # Display styles in all styles
     dotplan d This is more text   # Display string in all styles
     dotplan 1 Hi there... > .plan # Save output in actual .plan file

				-- Marc

The files are at:
 ftp://ftp.halcyon.com/pub/ii/internet/dotplan.c
 ftp://ftp.halcyon.com/pub/ii/internet/dotplan.1

------------------------------

From: Tim Pierce <[email-masked]>
Subject: ... 3.4 Robot Fodder

Q: Tim, why do you and others put random, provocative words like
   the following in your sig?

    -- 
    Green Card fodder: Canter, Siegel, green card, Joel Furr, liable,
    fortune, conspiracy, CyberSell, Tennessee Bar.

A: The original genesis of this bit of lore was the NSA's
   supposed archiving of Usenet.  It's a popular urban legend
   that the NSA scans and archives every message posted to
   Usenet, and in the heyday of this story it was popular to
   add "spook fodder" to your .signature consisting of words
   like "conspiracy, bullion, plutonium, Saudi Arabia,
   president, assassination," and so on.  I think that the GNU
   Emacs distribution still comes with the code that would
   insert such words into your posts or .signatures
   automatically.
   
   A couple of years ago there was a nut named Clayton Cramer
   who would periodically bombard soc.motss with pages and
   pages of pseudo-scientific babble about the evils of
   homosexuality.  It got so tiring that after a while I
   amended my .signature to read "Clayton-Fodder:
   homosexuality, pedophilia, incest, guns, Second Amendment,
   Libertarian, Reagan," or some such.  It got quite a few
   giggles from some of the old hands out there.
   
   A more recent example was the case of "Serdar Argic," a
   program written by a U of Minnesota student to search for
   any article referencing Turkey or Turkish culture, and
   follow up with several pages of invective about Armenian
   genocide.  There were some reports that this program was
   faulty and began responding to articles about "Thanksgiving
   Turkey" and the like, but I don't recall ever seeing that
   happen, myself.  Nevertheless, people started putting "Argic
   fodder" into their .signatures, like "Turkey, Armenia, SDPA
   crooks, genocide" in order to bait the "Argic-bot" into
   following up.
   
   The latest rumor is that Canter and Siegel are archiving
   every post which refers to them, in the hopes of finding
   grounds for a libel suit.  Hence, my .signature (which only
   goes to newsgroups in the news.* hierarchy).  It's a
   ridiculous idea, but this is one of those bits of folklore
   which I really enjoy perpetuating.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 3.5 Newsgroups for Sig Discussion

In addition to the ascii art newsgroups listed in 3.2 above, people
discuss signatures in these newsgroups.

Newsgroup Description                  Newsgroup Name
=====================                  ==============
The War Lord of the West Preservation  alt.fan.warlord
 Fan Club
Like alt.fan.warlord, only different   alt.stupid.signature.flame.flame.flame 

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 4.0 Customized Headers

Another way that you can tell people about yourself, or your company, is
to customize the headers that are sent in your mail and news messages.
Mail headers are specified in RFC822 and news headers are specified in
RFC1036.  The headers that you are most likely to want to customize
are the From, Reply-To, and Organization headers.  

READING MESSAGES
================
Most mailers and newsreaders do not display all the headers when you
are reading a message you've received.  Often typing `h' or ^h (for
header) will display all the headers of a message.  You can often set
up your mailer or newsreader to always automatically display whatever
headers you specify.

COMPOSING MESSAGES
==================
The sections below give instructions for automatically having
customized headers included in your messages.  Some composers will
automatically display your customized headers while you are
composing, and others won't.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 4.1 Your From Header
Followup-To: news.newusers.questions

Your From header is the main thing that people use to find out who you
are.  You can use either of the following formats for your From
header:

 From: Full Name <[email-masked]>
 From: [email-masked] (Full Name)

For example, I can use either of these:

 From: Nancy McGough <[email-masked]>
 From: [email-masked] (Nancy McGough)

The first format is preferred.

Your userid is usually your login name and can not easily be changed.  
Your fully qualified domain name (FQDN) is the domain name used by your 
Internet provider.  If you have a choice of FQDNs to use, I recommend 
using the shortest one.  For example, at one of my providers I can use 
either [email-masked] or [email-masked].  I like the second 
one because it is shorter and easier for people to type and remember.

Your full name is usually in the file /etc/passwd and is the name that
people see when they finger you.  On many systems you can change your
full name using the chfn command, which was described in section 2.2.1
above.

Some newsreaders and mailers allow you to customize your From line
using commands specific to that tool.  If you do this be aware of a
these important points:

 * Customizing your From header will not hide your identity since the
   transport agent will append a header, such as the Sender header,
   that includes your real identity.

 * In some newsreaders you will not be able to cancel an article that
   you posted using a customized From header.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 4.2 Specific Mailer and Newsreader Instructions
Followup-To: news.newusers.questions

Below are instructions for customizing your headers in different
mailers and newsreaders.  If you have a choice between a couple
methods, it's usually a good strategy to use a method that works for
many different tools.  For example, setting an environment variable.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 4.2.1 Tin and the RN Family
Followup-To: news.software.readers

In tin and the rn family of tools (Pnews, rn, trn, strn) you can use
environment variables to customize your headers.  These newsreaders
use the FROM, REPLYTO, and ORGANIZATION environment variables, if
they are set, to determine the From, Reply-To, and Organization headers.

The way you set an environment variable depends on which shell you
are using. For example, in the csh or tcsh you can set the
ORGANIZATION variable by putting the following line in you ~/.login:

  setenv ORGANIZATION "Your Organization Name"

After you edit your ~/.login you can establish the setting by either logging
out and loggin back in or by typing the following at your Unix prompt:

  source ~/.login

To check that the variable is set type:

  printenv

After you have set your environment variables, post a test message to
a local test newsgroup with `local' distribution to check that the
headers are correct.

SEE ALSO
========
Manual Pages: tin(1), Pnews(1), rn(1), trn(1), strn(1)
Newsgroup:    news.software.readers

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 4.2.2 Pine 3.90 and Later
Followup-To: comp.mail.pine

In Pine 3.90, and later versions, you customize your headers using
the customized-hdrs variable.  Here are instructions for setting your
Organization header.

1. From the Main Menu type S for Setup
2. Type C for Configuration
3. To change the value of the customized-hdrs variable:
   a) Space bar and arrow down to the customized-hdrs variable.
   b) Type A for Add Value
   c) At the prompt type: 

          Organization: Your Organization Name

      If you have set the ORGANIZATION environment variable
      (which is described in 4.2.1 above) you can type: 

          Organization: $ORGANIZATION

While reading a message that you've received you can view all the
headers of the message by typing H.  If H does not work you need to
go to your configuration menu and set the enable-full-header-cmd
variable.

While composing a message you can view all the headers by placing the cursor
in the header region and typing ^R (view rich headers).

NOTE: The customized-hdrs variable is not available in Pine 3.89 and below.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 4.2.3 Elm
Followup-To: comp.mail.elm

Use your editor to create a file named ~/.elm/elmheaders that
contains any headers you'd like in your outgoing mail messages.  For
example, my ~/.elm/elmheaders file contains the following (but
without the leading space!):

 From: Nancy McGough <[email-masked]>
 Organization: Infinite Ink, Seattle, WA, USA

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... ... 4.2.4 NN
Followup-To: news.software.nn

NN uses its news-header and mail-header variables to set headers for
news and mail messages you send.  For example, to set your
Organization header, put the following lines in your ~/.nn/init file:

set news-header Organization: Your Organization Name
set mail-header Organization: Your Organization Name

While reading messages with NN you can view the Organization line
by adding O (the letter "oh") to your header-lines variable setting.
I like the following setting:

set header-lines AFOnWK*Y

------------------------------

Date: 17 Apr 1995 00:05:00 GMT
From: FAQ Editor <[email-masked]>
Subject: 5.0 Mailer and Newsreader References

PINE
====
Web Pages: http://www.cac.washington.edu/pine/
FAQ:       http://www.cac.washington.edu/pine/faq/
           ftp://ftp.cac.washington.edu/pine/docs/faq
Man Pages: pine(1), pico(1)
Newsgroup: comp.mail.pine (linked to Pine mailing list)
Mailing List: [email-masked] (linked to Pine newsgroup)
           Subscribe to the pine-info mailing list by sending mail to:
                     [email-masked]
           With...
                     subscribe pine-info
           in the body of the message.

ELM
===
Web Pages: http://www.myxa.com/elm.html
           http://www.inf.fu-berlin.de/~guckes/elm/
FAQs:      http://www.cis.ohio-state.edu/hypertext/faq/usenet/elm/top.html
Man Pages: elm(1)
Newsgroup: comp.mail.elm

Emacs Mail Mode
===============
Newsgroups: gnus.emacs.help and comp.emacs
FAQ: 
 http://www.cis.ohio-state.edu/hypertext/faq/usenet/GNU-Emacs-FAQ/part5/faq.html    
MH
==
FAQ:       http://www.cis.ohio-state.edu/hypertext/faq/usenet/mh-faq/top.html
Man Pages: mh(1)
Newsgroup: comp.mail.mh

MAIL
====
Man Pages: mail(1)
Newsgroup: comp.mail.misc

NN
==
Web Pages: http://www.best.com/~ii/internet/nn/
FAQs:      http://www.cis.ohio-state.edu/hypertext/faq/usenet/nn-faq/top.html
Man Pages: nn(1)
Newsgroup: news.software.nn

MISC NEWSREADERS
================
Manual Pages: tin(1), Pnews(1), rn(1), trn(1), strn(1)
Newsgroup:    news.newusers.questions, news.software.readers

(Please send me pointers to other mailer and newsreader references
and let me know what newsreaders can read mail folders.)

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 6.0 Contributors

This FAQ, like many others, is a collaborative effort.  I learned a
lot of the information in newsgroups, especially:
  comp.unix.*
  comp.mail.*
  news.software.*
  news.newusers.questions

Also, lots of people have mailed me information and I've tried to
acknowledge them below. 

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 6.1 Acknowledgements

Thanks to these people who sent suggestions and digest items:
   Jochen Bern <[email-masked]>
   Jym Dyer <[email-masked]>
   Marc Kriguer <[email-masked]>
   Mike Northam <[email-masked]>
   Tim Pierce <[email-masked]>
   Janet Rosenbaum <[email-masked]>

Thanks to these people who sent suggestions:
   Jeff Blaine <[email-masked]>
   Stephen Cristol <[email-masked]>
   Roman Czyborra <[email-masked]>
   Terry Gray <[email-masked]>
   Sven Guckes <[email-masked]>
   Jon Hamilton <[email-masked]>
   Rich Kasperowski <[email-masked]>
   Hugh McGough <[email-masked]>
   Mary McGough <[email-masked]>
   David L Miller <[email-masked]>
   Skip Montanaro <[email-masked]>
   David W. Tamkin <[email-masked]>
   Syd Weinstein <[email-masked]>

Thanks to these people who've created ascii art, programs, and/or documents 
that are pointed to in this article.  (This list is not complete right now.)
   Chris Alfeld <[email-masked]> or <[email-masked]>
   Bob Allison <[email-masked]>
   Jorn Barger <[email-masked]>
   Jean-Frangois Mezei 
   Piero Serini <[email-masked]>
   Doug Stevenson <[email-masked]>
   Marc VanHeyningen <[email-masked]>
   Bill Wohler <[email-masked]>
   Scott A. Yanoff <[email-masked]>

Special thanks to:
   Thomas A. Fine <[email-masked]> for setting up and
   maintaining the hypertext archive of FAQs.  Congratulations
   to him for winning O'Reilly and Associates' "The Best of the
   Net" award!

Please let me know if I've left you, or anyone else, out of this list.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: ... 6.2 If You'd Like to Contribute

If you have any corrections, suggestions, or new digest items to
contribute to this FAQ please send them to [email-masked].  If your
reader understands the following URL, you can use it to send me mail:

  mailto:[email-masked].  

I'd especially like to learn about:
  * Cool signatures that have less than or equal to four lines.
  * Finger clients for Windows or Mac.
  * Mike Northam's current email address.

------------------------------

From: FAQ Editor <[email-masked]>
Subject: 7.0 Copyright Notice

Copyright (c) 1994, 1995 by Nancy McGough, except sections 1.2.4,
1.2.5, 1.2.6, 1.2.8, 2.3.1, 3.3, 3.4 which are Copyright (c) 1994,
1995 by the authors named in the sections.

No portion of this work may be sold or put to commercial use without
express written consent of the authors.  This restriction covers
publication in any form, or distribution by any method, which permits
this work to be visually perceived, either directly or with the aid
of any machine or device.  Permission is granted to republish or
redistribute this article in its entirety for noncommercial use if
this copyright notice is not removed or altered.

End of Signature, Finger, & Customized Headers FAQ
**************************************************

-- 
 /\_/\                  @..@    Please make sure your host gets the  /\_/\
( o.o ) Nancy McGough  (----)   new humanities.* newsgroups. Info   ( o.o )
 > ^ <  Infinite Ink  ( >__< )  is at http://www.jazzie.com/ii/      > ~ <